AM_CPPFLAGS=-I$(srcdir)/. -I$(srcdir)/.. -I$(srcdir)/../ASN1 -I$(srcdir)/../CryptoPP -I$(srcdir)/../Includes -I$(srcdir)/../skeletons  $(PCSC_CFLAGS) $(LIBASSUAN_CFLAGS) $(GETTEXT_CFLAGS)
 
lib_LTLIBRARIES=libpkcs11-#CFGDIST#.la

libpkcs11_#CFGDIST#_la_SOURCES = fnmt_p11.cpp Mech_RSA_PKCS_KEY_PAIR_GEN.cpp Session.cpp TokenType.cpp Mech.cpp P15TokenInfo.cpp P11Objects.cpp Mech_SHA1_RSA_PKCS.cpp ExclusionMutua.cpp P15EFUS.cpp P15CDF.cpp Slot.cpp P15PuKDF.cpp Util_Crypto.cpp SlotList.cpp TokenTypeList.cpp Communicator.cpp P15DODF.cpp Comm_DNIe.cpp byteBuffer.cpp Util.cpp P15PrKDF.cpp ObjList.cpp SessionList.cpp P15File.cpp p11f_GeneralPurpose.cpp Mech_RSA_PKCS.cpp p11f_SlotTokenMngm.cpp
 
libpkcs11_#CFGDIST#_la_LIBADD=$(PCSC_LIBS) $(LIBASSUAN_LIBS)  $(top_builddir)/CryptoPP/.libs/libpkcs11-#CFGDIST#-cryptopp.la $(top_builddir)/skeletons/.libs/libpkcs11-#CFGDIST#-asn1skeletons.la $(top_builddir)/ASN1/.libs/libpkcs11-#CFGDIST#-asn1.la

libpkcs11_#CFGDIST#_la_LDFLAGS=$(AM_LDFLAGS) -module -shared -avoid-version -no-undefined
